Name:		stardict
Summary: 	A powerful dictionary platform written in GTK+2
Version:    2.4.5
Release:    5
Group: 		Applications/System
License: 	GPL
URL: 		http://stardict.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Patch0:     stardict-2.4.5-invalid-cplusplus.patch
BuildRoot:	%{_builddir}/%{name}-%{version}-root

Requires: libgnome >= 2.2.0
Requires: libgnomeui >= 2.2.0
Requires: libbonobo >= 2.2.0
Requires: bonobo-activation >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.2.0, scrollkeeper, gettext
Requires(post): GConf2, scrollkeeper
Requires(postun): scrollkeeper

%description
StarDict is a Cross-Platform and international dictionary written in Gtk2.
It has powerful features such as "Glob-style pattern matching", "Scan selection word,"
"Fuzzy query," etc.

%prep
%setup
%patch0 -p 0

%build

%configure --disable-schemas-install
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_bindir}/stardict
%{_datadir}/applications/stardict.desktop
%{_datadir}/stardict
%{_datadir}/locale/*/LC_MESSAGES/stardict.mo
%{_datadir}/idl
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/stardict.png
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/omf
%doc %{_datadir}/man/man1/stardict.1*
%doc %{_datadir}/gnome/help/stardict


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/stardict.schemas >/dev/null
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%changelog
* Tue Jul 18 2006 Jesse Keating <jkeating@redhat.com> - 2.4.5-5
- rebuild
- add gettext as br

* Mon Jun 12 2006 Mayank Jain <majain@redhat.com>
- Updated package description

* Mon Jun 05 2006 Jesse Keating <jkeating@redhat.com>
- Added missing BuildRequires scrollkeeper
- Added Requires(post) and (postun) accordingly

* Tue Apr 18 2006 Mayank Jain <majain@redhat.com>
- Corrected spelling mistakes in the description section, RH bug #161777

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.4.5-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.4.5-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Leon Ho <llch@redhat.com> 2.4.5-2
- added in patch to fix #176890

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Sep 19 2005 Leon Ho <llch@redhat.com> 2.4.5-1
- Upgraded to 2.4.5

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> 2.4.4-3
- rebuilt

* Thu Feb 03 2005 Leon Ho <llch@redhat.com> 2.4.4-2
- Reupdate the spec file
- Upgrade to 2.4.4

* Sun Nov 28 2004 Hu Zheng  <huzheng_001@163.com> 2.4.4
- Public release of StarDict 2.4.4.

* Thu Feb 19 2004 Hu Zheng <huzheng_001@163.com> 2.4.3
- Public release of StarDict 2.4.3.

* Sat Nov 15 2003 Hu Zheng <huzheng_001@163.com> 2.4.2
- Public release of StarDict 2.4.2.

* Sun Sep 28 2003 Hu Zheng <huzheng_001@163.com> 2.4.1
- Public release of StarDict 2.4.1.

* Thu Aug 28 2003 Hu Zheng <huzheng_001@163.com> 2.4.0
- Public release of StarDict 2.4.0.

* Sat Jun 28 2003 Hu Zheng <huzheng_001@163.com> 2.2.1
- Public release of StarDict 2.2.1.

* Sun Jun 01 2003 Hu Zheng <huzheng_001@163.com> 2.2.0
- Public release of StarDict 2.2.0.

* Sun May 18 2003 Hu Zheng <huzheng_001@163.com> 2.1.0
- Public release of StarDict 2.1.0.

* Fri May 02 2003 Hu Zheng <huzheng_001@163.com> 2.0.0
- Public release of StarDict 2.0.0.

* Wed Apr  9 2003 Hu Zheng <huzheng_001@163.com> 2.0.0-pre2
- Second public preview release of StarDict 2.

* Sun Mar 30 2003 Hu Zheng <huzheng_001@163.com> 2.0.0-pre1
- First public preview release of StarDict 2.
